"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DataApiNetworkQueryBuilder = void 0;
const internal_1 = require("./internal");
class DataApiNetworkQueryBuilder extends internal_1.DataApiBaseQueryBuilder {
    constructor() {
        super();
        this.addToPath({ name: 'network', args: [] });
    }
    blocksCount() {
        this.addToPath({ name: 'blocks', args: [] });
        this.addToPath({ name: 'count', args: [], hasQuery: true });
        return new internal_1.DataApiFirstLastOrAggregateQueryBuilder(this);
    }
    blocksCount24h() {
        this.addToPath({ name: 'blocks', args: [] });
        this.addToPath({ name: 'count24h', args: [], hasQuery: true });
        return new internal_1.DataApiFirstLastOrAggregateQueryBuilder(this);
    }
    developerRewards() {
        this.addToPath({ name: 'developer', args: [] });
        this.addToPath({ name: 'rewards', args: [], hasQuery: true });
        return new internal_1.DataApiFirstLastOrAggregateQueryBuilder(this);
    }
    inflation() {
        this.addToPath({ name: 'economics', args: [] });
        this.addToPath({ name: 'inflation', args: [], hasQuery: true });
        return new internal_1.DataApiFirstLastOrAggregateQueryBuilder(this);
    }
    APR() {
        this.addToPath({ name: 'economics', args: [] });
        this.addToPath({ name: 'APR', args: [], hasQuery: true });
        return new internal_1.DataApiFirstLastOrAggregateQueryBuilder(this);
    }
    baseAPR() {
        this.addToPath({ name: 'economics', args: [] });
        this.addToPath({ name: 'baseAPR', args: [], hasQuery: true });
        return new internal_1.DataApiFirstLastOrAggregateQueryBuilder(this);
    }
    topUpAPR() {
        this.addToPath({ name: 'economics', args: [] });
        this.addToPath({ name: 'topUpAPR', args: [], hasQuery: true });
        return new internal_1.DataApiFirstLastOrAggregateQueryBuilder(this);
    }
}
exports.DataApiNetworkQueryBuilder = DataApiNetworkQueryBuilder;
//# sourceMappingURL=network.query.builder.js.map